Skip to main content
`Ctrl`+`K`

# MagUnit

class astropy.units.MagUnit(physical_unit=None, function_unit=None)

  Bases: `LogUnit`

  Logarithmic physical units expressed in magnitudes.

  Parameters:
    physical_unit `Unit` or `string`

      Unit that is encapsulated within the magnitude function unit. If not given, dimensionless.

    function_unit `Unit` or `string`

      By default, this is `mag`, but this allows one to use an equivalent unit such as `2 mag`.